package main

import (
	"fmt"
	"log"
	"os"
	"strconv"
)

func main() {
	if len(os.Args) < 4 {
		fmt.Println("Usage: p1.1 x y z")
		os.Exit(1)
	}

	x, y, z := atoi(os.Args[1]), atoi(os.Args[2]), atoi(os.Args[3])
	i, v1, v2 := 1, x, x-y
	fmt.Println(z, v1, v2)
	for i = 1; ; i = i + 2 {
		if z == v1 {
			done(i)
		} else if z == v2 {
			done(i + 1)
		} else if z < v1 && z < v2 {
			done(-1)
		}
		v1 = v1 + x - y
		v2 = v2 + x - y
	}
}

func done(v int) {
	fmt.Println(v)
	os.Exit(0)
}

func atoi(v string) int {
	i, err := strconv.Atoi(v)
	if err != nil {
		log.Fatal("Invalid integer given: " + v)
	}
	return i
}
